This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1461916 - Default Ceph and Gluster names are too long [NEEDINFO]
Default Ceph and Gluster names are too long
Status: NEW
Product: Red Hat Storage Console
Classification: Red Hat
Component: Dashboard (Show other bugs)
3
x86_64 Linux
unspecified Severity medium
: alpha
: 3-alpha
Assigned To: Neha Gupta
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 11:28 EDT by Jeff Applewhite
Modified: 2017-06-26 04:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
japplewh: needinfo? (khartsoe)


Attachments (Terms of Use)

  None (edit)
Description Jeff Applewhite 2017-06-15 11:28:04 EDT
Description of problem:
When a user creates a cluster the name for the cluster name includes what looks like a guid tacked on to it. The name is too long and should be shortened to only two decimals

Version-Release number of selected component (if applicable):
pre-alpha build

How reproducible:
always

Steps to Reproduce:
1. click on create new cluster
2. view the default cluster name
3.

Actual results:
long cluster name

Expected results:
gluster_01  ceph_01 or gluster_02 or similarly short name approved by docs

Additional info:
Comment 3 Jeff Applewhite 2017-06-15 11:29:50 EDT
@Ken can you have the docs team suggest default cluster names for ceph and gluster?
Comment 4 Ju Lim 2017-06-20 07:31:34 EDT
Will go with 3-4 digit hash and SDS name.  
Can't set Ceph cluster name, and for Gluster user will not be able to customize the name.  Will need ability to set an alias.

Note You need to log in before you can comment on or make changes to this bug.